Package org.apache.tomcat.util.net

# Class SocketProcessorBase<S>

java.lang.Object
org.apache.tomcat.util.net.SocketProcessorBase<S>

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `AprEndpoint.SocketProcessor`, `Nio2Endpoint.SocketProcessor`, `NioEndpoint.SocketProcessor`

public abstract class SocketProcessorBase<S> extends Object implements Runnable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SocketEvent`
  `event`
  `protected SocketWrapperBase<S>`
  `socketWrapper`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SocketProcessorBase(SocketWrapperBase<S> socketWrapper, SocketEvent event)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract void`
  `doRun()`
  `void`
  `reset(SocketWrapperBase<S> socketWrapper, SocketEvent event)`
  `final void`
  `run()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### socketWrapper

    protected SocketWrapperBase<S> socketWrapper

  - ### event

    protected SocketEvent event

- ## Constructor Details

  - ### SocketProcessorBase

    public SocketProcessorBase(SocketWrapperBase<S> socketWrapper, SocketEvent event)

- ## Method Details

  - ### reset

    public void reset(SocketWrapperBase<S> socketWrapper, SocketEvent event)

  - ### run

    public final void run()
    Specified by:
      `run` in interface `Runnable`

  - ### doRun

    protected abstract void doRun()